# The "dmx" Package

These routines provide an interface between the descriptor management facility (ie. event processing on pipes, connections and terminals) available with the dm package and the Xt toolkit event handler. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

Library: karmaXt
Link With: -lkarmaXt

#### Functions

dmx_register_app_context | Register Xt application context for event management.

## Functions

void dmx_register_app_context (XtAppContext context)

This routine will register the application context to use for descriptor management with the Xt toolkit. Once this is called the application may then call routines such as dm_manage and chm_manage

Parameters:

- context : The application context.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page